Hex Artifact Content

Artifact 779bc8e67b08e01c32490383627492f1ee4ab1ac:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 43 34 54 43 4c 56 45 52 53 3d 22 30 2e 31 34  CC4TCLVERS="0.14
0100: 22 0a 53 52 43 3d 22 73 72 63 2f 74 63 63 34 74  ".SRC="src/tcc4t
0110: 63 6c 2d 24 7b 54 43 43 34 54 43 4c 56 45 52 53  cl-${TCC4TCLVERS
0120: 7d 2e 74 61 72 2e 67 7a 22 0a 53 52 43 55 52 4c  }.tar.gz".SRCURL
0130: 3d 22 68 74 74 70 3a 2f 2f 72 6b 65 65 6e 65 2e  ="http://rkeene.
0140: 6f 72 67 2f 64 65 76 65 6c 2f 74 63 63 34 74 63  org/devel/tcc4tc
0150: 6c 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43 43 34  l/tcc4tcl-${TCC4
0160: 54 43 4c 56 45 52 53 7d 2e 74 61 72 2e 67 7a 22  TCLVERS}.tar.gz"
0170: 0a 42 55 49 4c 44 44 49 52 3d 22 24 28 70 77 64  .BUILDDIR="$(pwd
0180: 29 2f 62 75 69 6c 64 2f 74 63 63 34 74 63 6c 2d  )/build/tcc4tcl-
0190: 24 7b 54 43 43 34 54 43 4c 56 45 52 53 7d 22 0a  ${TCC4TCLVERS}".
01a0: 4f 55 54 44 49 52 3d 22 24 28 70 77 64 29 2f 6f  OUTDIR="$(pwd)/o
01b0: 75 74 22 0a 49 4e 53 54 44 49 52 3d 22 24 28 70  ut".INSTDIR="$(p
01c0: 77 64 29 2f 69 6e 73 74 22 0a 50 41 54 43 48 44  wd)/inst".PATCHD
01d0: 49 52 3d 22 24 28 70 77 64 29 2f 70 61 74 63 68  IR="$(pwd)/patch
01e0: 65 73 22 0a 65 78 70 6f 72 74 20 54 43 43 34 54  es".export TCC4T
01f0: 43 4c 56 45 52 53 20 53 52 43 20 53 52 43 55 52  CLVERS SRC SRCUR
0200: 4c 20 42 55 49 4c 44 44 49 52 20 4f 55 54 44 49  L BUILDDIR OUTDI
0210: 52 20 49 4e 53 54 44 49 52 20 50 41 54 43 48 44  R INSTDIR PATCHD
0220: 49 52 0a 0a 23 20 53 65 74 20 63 6f 6e 66 69 67  IR..# Set config
0230: 75 72 65 20 6f 70 74 69 6f 6e 73 20 66 6f 72 20  ure options for 
0240: 74 68 69 73 20 73 75 62 2d 70 72 6f 6a 65 63 74  this sub-project
0250: 0a 4c 44 46 4c 41 47 53 3d 22 24 7b 4c 44 46 4c  .LDFLAGS="${LDFL
0260: 41 47 53 7d 20 24 7b 4b 43 5f 54 43 43 34 54 43  AGS} ${KC_TCC4TC
0270: 4c 5f 4c 44 46 4c 41 47 53 7d 22 0a 43 46 4c 41  L_LDFLAGS}".CFLA
0280: 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d 20 24 7b  GS="${CFLAGS} ${
0290: 4b 43 5f 54 43 43 34 54 43 4c 5f 43 46 4c 41 47  KC_TCC4TCL_CFLAG
02a0: 53 7d 22 0a 43 50 50 46 4c 41 47 53 3d 22 24 7b  S}".CPPFLAGS="${
02b0: 43 50 50 46 4c 41 47 53 7d 20 24 7b 4b 43 5f 54  CPPFLAGS} ${KC_T
02c0: 43 43 34 54 43 4c 5f 43 50 50 46 4c 41 47 53 7d  CC4TCL_CPPFLAGS}
02d0: 22 0a 4c 49 42 53 3d 22 24 7b 4c 49 42 53 7d 20  ".LIBS="${LIBS} 
02e0: 24 7b 4b 43 5f 54 43 43 34 54 43 4c 5f 4c 49 42  ${KC_TCC4TCL_LIB
02f0: 53 7d 22 0a 65 78 70 6f 72 74 20 4c 44 46 4c 41  S}".export LDFLA
0300: 47 53 20 43 46 4c 41 47 53 20 43 50 50 46 4c 41  GS CFLAGS CPPFLA
0310: 47 53 20 4c 49 42 53 0a 0a 72 6d 20 2d 72 66 20  GS LIBS..rm -rf 
0320: 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27 69  'build' 'out' 'i
0330: 6e 73 74 27 0a 6d 6b 64 69 72 20 27 62 75 69 6c  nst'.mkdir 'buil
0340: 64 27 20 27 6f 75 74 27 20 27 69 6e 73 74 27 20  d' 'out' 'inst' 
0350: 7c 7c 20 65 78 69 74 20 31 0a 0a 54 43 4c 5f 56  || exit 1..TCL_V
0360: 45 52 53 49 4f 4e 3d 22 75 6e 6b 6e 6f 77 6e 22  ERSION="unknown"
0370: 0a 69 66 20 5b 20 2d 66 20 22 24 7b 54 43 4c 43  .if [ -f "${TCLC
0380: 4f 4e 46 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e  ONFIGDIR}/tclCon
0390: 66 69 67 2e 73 68 22 20 5d 3b 20 74 68 65 6e 0a  fig.sh" ]; then.
03a0: 20 20 20 20 20 20 20 20 73 6f 75 72 63 65 20 22          source "
03b0: 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f  ${TCLCONFIGDIR}/
03c0: 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22 0a 66 69  tclConfig.sh".fi
03d0: 0a 65 78 70 6f 72 74 20 54 43 4c 5f 56 45 52 53  .export TCL_VERS
03e0: 49 4f 4e 0a 0a 69 66 20 5b 20 21 20 2d 66 20 22  ION..if [ ! -f "
03f0: 24 7b 53 52 43 7d 22 20 5d 3b 20 74 68 65 6e 0a  ${SRC}" ]; then.
0400: 09 6d 6b 64 69 72 20 27 73 72 63 27 20 3e 2f 64  .mkdir 'src' >/d
0410: 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e  ev/null 2>/dev/n
0420: 75 6c 6c 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20  ull...if [ ! -d 
0430: 27 62 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68  'buildsrc' ]; th
0440: 65 6e 0a 09 09 72 6d 20 2d 66 20 22 24 7b 53 52  en...rm -f "${SR
0450: 43 7d 2e 74 6d 70 22 0a 09 09 77 67 65 74 20 2d  C}.tmp"...wget -
0460: 4f 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22  O "${SRC}.tmp" "
0470: 24 7b 53 52 43 55 52 4c 7d 22 20 7c 7c 20 65 78  ${SRCURL}" || ex
0480: 69 74 20 31 0a 09 09 6d 76 20 22 24 7b 53 52 43  it 1...mv "${SRC
0490: 7d 2e 74 6d 70 22 20 22 24 7b 53 52 43 7d 22 0a  }.tmp" "${SRC}".
04a0: 09 66 69 0a 66 69 0a 0a 28 0a 09 63 64 20 27 62  .fi.fi..(..cd 'b
04b0: 75 69 6c 64 27 20 7c 7c 20 65 78 69 74 20 31 0a  uild' || exit 1.
04c0: 0a 09 69 66 20 5b 20 21 20 2d 64 20 27 2e 2e 2f  ..if [ ! -d '../
04d0: 62 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65  buildsrc' ]; the
04e0: 6e 0a 09 09 67 7a 69 70 20 2d 64 63 20 22 2e 2e  n...gzip -dc "..
04f0: 2f 24 7b 53 52 43 7d 22 20 7c 20 74 61 72 20 2d  /${SRC}" | tar -
0500: 78 66 20 2d 0a 09 65 6c 73 65 20 20 20 20 0a 09  xf -..else    ..
0510: 09 63 70 20 2d 72 70 20 2e 2e 2f 62 75 69 6c 64  .cp -rp ../build
0520: 73 72 63 2f 2a 20 27 2e 2f 27 0a 09 66 69 0a 0a  src/* './'..fi..
0530: 09 23 20 41 70 70 6c 79 20 72 65 71 75 69 72 65  .# Apply require
0540: 64 20 70 61 74 63 68 65 73 0a 09 63 64 20 22 24  d patches..cd "$
0550: 7b 42 55 49 4c 44 44 49 52 7d 22 20 7c 7c 20 65  {BUILDDIR}" || e
0560: 78 69 74 20 31 0a 0a 09 66 6f 72 20 70 61 74 63  xit 1...for patc
0570: 68 20 69 6e 20 22 24 7b 50 41 54 43 48 44 49 52  h in "${PATCHDIR
0580: 7d 2f 61 6c 6c 22 2f 74 63 63 34 74 63 6c 2d 24  }/all"/tcc4tcl-$
0590: 7b 54 43 43 34 54 43 4c 56 45 52 53 7d 2d 2a 2e  {TCC4TCLVERS}-*.
05a0: 64 69 66 66 20 22 24 7b 50 41 54 43 48 44 49 52  diff "${PATCHDIR
05b0: 7d 2f 24 7b 54 43 4c 5f 56 45 52 53 49 4f 4e 7d  }/${TCL_VERSION}
05c0: 22 2f 74 63 63 34 74 63 6c 2d 24 7b 54 43 43 34  "/tcc4tcl-${TCC4
05d0: 54 43 4c 56 45 52 53 7d 2d 2a 2e 64 69 66 66 3b  TCLVERS}-*.diff;
05e0: 20 64 6f 0a 09 09 69 66 20 5b 20 21 20 2d 66 20   do...if [ ! -f 
05f0: 22 24 7b 70 61 74 63 68 7d 22 20 5d 3b 20 74 68  "${patch}" ]; th
0600: 65 6e 0a 09 09 09 63 6f 6e 74 69 6e 75 65 0a 09  en....continue..
0610: 09 66 69 0a 0a 09 09 65 63 68 6f 20 22 41 70 70  .fi....echo "App
0620: 6c 79 69 6e 67 3a 20 24 7b 70 61 74 63 68 7d 22  lying: ${patch}"
0630: 0a 09 09 24 7b 50 41 54 43 48 3a 2d 70 61 74 63  ...${PATCH:-patc
0640: 68 7d 20 2d 70 31 20 3c 20 22 24 7b 70 61 74 63  h} -p1 < "${patc
0650: 68 7d 22 0a 09 64 6f 6e 65 0a 0a 09 23 20 54 72  h}"..done...# Tr
0660: 79 20 74 6f 20 62 75 69 6c 64 20 61 73 20 61 20  y to build as a 
0670: 73 68 61 72 65 64 20 6f 62 6a 65 63 74 20 69 66  shared object if
0680: 20 72 65 71 75 65 73 74 65 64 0a 09 69 66 20 5b   requested..if [
0690: 20 22 24 7b 53 54 41 54 49 43 54 43 43 34 54 43   "${STATICTCC4TC
06a0: 4c 7d 22 20 3d 20 22 30 22 20 5d 3b 20 74 68 65  L}" = "0" ]; the
06b0: 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d 65  n...tryopts="--e
06c0: 6e 61 62 6c 65 2d 73 68 61 72 65 64 20 2d 2d 64  nable-shared --d
06d0: 69 73 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09  isable-shared"..
06e0: 65 6c 69 66 20 5b 20 22 24 7b 53 54 41 54 49 43  elif [ "${STATIC
06f0: 54 43 43 34 54 43 4c 7d 22 20 3d 20 22 2d 31 22  TCC4TCL}" = "-1"
0700: 20 5d 3b 20 74 68 65 6e 0a 09 09 23 20 52 65 71   ]; then...# Req
0710: 75 69 72 65 20 73 68 61 72 65 64 20 6f 62 6a 65  uire shared obje
0720: 63 74 20 69 66 20 72 65 71 75 65 73 74 65 64 0a  ct if requested.
0730: 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d 65 6e 61  ..tryopts="--ena
0740: 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 65 6c 73  ble-shared"..els
0750: 65 0a 09 09 23 20 44 65 66 61 75 6c 74 20 74 6f  e...# Default to
0760: 20 62 75 69 6c 64 69 6e 67 20 73 74 61 74 69 63   building static
0770: 61 6c 6c 79 0a 09 09 74 72 79 6f 70 74 73 3d 22  ally...tryopts="
0780: 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65 64  --disable-shared
0790: 22 0a 09 66 69 0a 0a 09 69 66 20 65 63 68 6f 20  "..fi...if echo 
07a0: 22 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54  " ${CONFIGUREEXT
07b0: 52 41 7d 20 22 20 7c 20 67 72 65 70 20 27 20 2d  RA} " | grep ' -
07c0: 2d 64 69 73 61 62 6c 65 2d 6c 6f 61 64 20 27 20  -disable-load ' 
07d0: 3e 2f 64 65 76 2f 6e 75 6c 6c 3b 20 74 68 65 6e  >/dev/null; then
07e0: 0a 09 09 64 6c 6f 70 65 6e 5f 66 6c 61 67 3d 22  ...dlopen_flag="
07f0: 2d 2d 77 69 74 68 2d 64 6c 6f 70 65 6e 22 0a 09  --with-dlopen"..
0800: 65 6c 73 65 0a 09 09 64 6c 6f 70 65 6e 5f 66 6c  else...dlopen_fl
0810: 61 67 3d 22 2d 2d 77 69 74 68 6f 75 74 2d 64 6c  ag="--without-dl
0820: 6f 70 65 6e 22 0a 09 66 69 0a 0a 09 53 41 56 45  open"..fi...SAVE
0830: 5f 43 46 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47  _CFLAGS="${CFLAG
0840: 53 7d 22 0a 09 66 6f 72 20 74 72 79 6f 70 74 20  S}"..for tryopt 
0850: 69 6e 20 24 74 72 79 6f 70 74 73 20 5f 5f 66 61  in $tryopts __fa
0860: 69 6c 5f 5f 3b 20 64 6f 0a 09 09 23 20 43 6c 65  il__; do...# Cle
0870: 61 6e 20 75 70 2c 20 69 66 20 6e 65 65 64 65 64  an up, if needed
0880: 0a 09 09 6d 61 6b 65 20 64 69 73 74 63 6c 65 61  ...make distclea
0890: 6e 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f  n >/dev/null 2>/
08a0: 64 65 76 2f 6e 75 6c 6c 0a 09 09 72 6d 20 2d 72  dev/null...rm -r
08b0: 66 20 22 24 7b 49 4e 53 54 44 49 52 7d 22 0a 09  f "${INSTDIR}"..
08c0: 09 6d 6b 64 69 72 20 22 24 7b 49 4e 53 54 44 49  .mkdir "${INSTDI
08d0: 52 7d 22 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74  R}"....if [ "${t
08e0: 72 79 6f 70 74 7d 22 20 3d 20 22 5f 5f 66 61 69  ryopt}" = "__fai
08f0: 6c 5f 5f 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  l__" ]; then....
0900: 65 78 69 74 20 31 0a 09 09 66 69 0a 0a 09 09 69  exit 1...fi....i
0910: 66 20 5b 20 22 24 7b 74 72 79 6f 70 74 7d 22 20  f [ "${tryopt}" 
0920: 3d 3d 20 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61  == "--enable-sha
0930: 72 65 64 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09  red" ]; then....
0940: 69 73 73 68 61 72 65 64 3d 22 31 22 0a 09 09 65  isshared="1"...e
0950: 6c 73 65 0a 09 09 09 69 73 73 68 61 72 65 64 3d  lse....isshared=
0960: 22 30 22 0a 09 09 66 69 0a 0a 09 09 23 20 49 66  "0"...fi....# If
0970: 20 62 75 69 6c 64 20 61 20 73 74 61 74 69 63 20   build a static 
0980: 74 63 63 34 74 63 6c 20 66 6f 72 20 4b 69 74 44  tcc4tcl for KitD
0990: 4c 4c 2c 20 65 6e 73 75 72 65 20 74 68 61 74 20  LL, ensure that 
09a0: 77 65 20 75 73 65 20 50 49 43 0a 09 09 23 20 73  we use PIC...# s
09b0: 6f 20 74 68 61 74 20 69 74 20 63 61 6e 20 62 65  o that it can be
09c0: 20 6c 69 6e 6b 65 64 20 69 6e 74 6f 20 74 68 65   linked into the
09d0: 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74 0a 09   shared object..
09e0: 09 69 66 20 5b 20 22 24 7b 69 73 73 68 61 72 65  .if [ "${isshare
09f0: 64 7d 22 20 3d 20 22 30 22 20 2d 61 20 22 24 7b  d}" = "0" -a "${
0a00: 4b 49 54 54 41 52 47 45 54 7d 22 20 3d 20 22 6b  KITTARGET}" = "k
0a10: 69 74 64 6c 6c 22 20 5d 3b 20 74 68 65 6e 0a 09  itdll" ]; then..
0a20: 09 09 43 46 4c 41 47 53 3d 22 24 7b 53 41 56 45  ..CFLAGS="${SAVE
0a30: 5f 43 46 4c 41 47 53 7d 20 2d 66 50 49 43 22 0a  _CFLAGS} -fPIC".
0a40: 09 09 65 6c 73 65 0a 09 09 09 43 46 4c 41 47 53  ..else....CFLAGS
0a50: 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41 47 53 7d  ="${SAVE_CFLAGS}
0a60: 22 0a 09 09 66 69 0a 0a 09 09 28 0a 09 09 09 65  "...fi....(....e
0a70: 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 2e 2f  cho "Running: ./
0a80: 63 6f 6e 66 69 67 75 72 65 20 24 74 72 79 6f 70  configure $tryop
0a90: 74 20 2d 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49  t --prefix=\"${I
0aa0: 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 65 78 65 63  NSTDIR}\" --exec
0ab0: 2d 70 72 65 66 69 78 3d 5c 22 24 7b 49 4e 53 54  -prefix=\"${INST
0ac0: 44 49 52 7d 5c 22 20 2d 2d 6c 69 62 64 69 72 3d  DIR}\" --libdir=
0ad0: 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62  \"${INSTDIR}/lib
0ae0: 5c 22 20 2d 2d 77 69 74 68 2d 74 63 6c 3d 5c 22  \" --with-tcl=\"
0af0: 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 5c  ${TCLCONFIGDIR}\
0b00: 22 20 24 7b 64 6c 6f 70 65 6e 5f 66 6c 61 67 7d  " ${dlopen_flag}
0b10: 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54 52   ${CONFIGUREEXTR
0b20: 41 7d 22 0a 09 09 09 2e 2f 63 6f 6e 66 69 67 75  A}"...../configu
0b30: 72 65 20 24 74 72 79 6f 70 74 20 2d 2d 70 72 65  re $tryopt --pre
0b40: 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d 22  fix="${INSTDIR}"
0b50: 20 2d 2d 65 78 65 63 2d 70 72 65 66 69 78 3d 22   --exec-prefix="
0b60: 24 7b 49 4e 53 54 44 49 52 7d 22 20 2d 2d 6c 69  ${INSTDIR}" --li
0b70: 62 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d  bdir="${INSTDIR}
0b80: 2f 6c 69 62 22 20 2d 2d 77 69 74 68 2d 74 63 6c  /lib" --with-tcl
0b90: 3d 22 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52  ="${TCLCONFIGDIR
0ba0: 7d 22 20 24 7b 64 6c 6f 70 65 6e 5f 66 6c 61 67  }" ${dlopen_flag
0bb0: 7d 20 24 7b 43 4f 4e 46 49 47 55 52 45 45 58 54  } ${CONFIGUREEXT
0bc0: 52 41 7d 0a 0a 09 09 09 65 63 68 6f 20 22 52 75  RA}.....echo "Ru
0bd0: 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d  nning: ${MAKE:-m
0be0: 61 6b 65 7d 22 0a 09 09 09 24 7b 4d 41 4b 45 3a  ake}"....${MAKE:
0bf0: 2d 6d 61 6b 65 7d 20 7c 7c 20 65 78 69 74 20 31  -make} || exit 1
0c00: 0a 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e 69  .....echo "Runni
0c10: 6e 67 3a 20 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65  ng: ${MAKE:-make
0c20: 7d 20 69 6e 73 74 61 6c 6c 22 0a 09 09 09 24 7b  } install"....${
0c30: 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 69 6e 73 74  MAKE:-make} inst
0c40: 61 6c 6c 20 7c 7c 20 65 78 69 74 20 31 0a 09 09  all || exit 1...
0c50: 29 20 7c 7c 20 63 6f 6e 74 69 6e 75 65 0a 0a 09  ) || continue...
0c60: 09 62 72 65 61 6b 0a 09 64 6f 6e 65 0a 0a 09 23  .break..done...#
0c70: 20 43 72 65 61 74 65 20 56 46 53 2d 69 6e 73 65   Create VFS-inse
0c80: 72 74 0a 09 63 70 20 2d 72 20 22 24 7b 49 4e 53  rt..cp -r "${INS
0c90: 54 44 49 52 7d 2f 6c 69 62 22 20 22 24 7b 4f 55  TDIR}/lib" "${OU
0ca0: 54 44 49 52 7d 22 20 7c 7c 20 65 78 69 74 20 31  TDIR}" || exit 1
0cb0: 0a 09 66 69 6e 64 20 22 24 7b 4f 55 54 44 49 52  ..find "${OUTDIR
0cc0: 7d 22 20 2d 6e 61 6d 65 20 27 2a 2e 61 27 20 2d  }" -name '*.a' -
0cd0: 74 79 70 65 20 66 20 7c 20 67 72 65 70 20 2d 76  type f | grep -v
0ce0: 20 27 2f 6c 69 62 74 63 63 31 5c 2e 61 24 27 20   '/libtcc1\.a$' 
0cf0: 7c 20 78 61 72 67 73 20 72 6d 20 2d 66 0a 0a 09  | xargs rm -f...
0d00: 23 20 54 65 6c 6c 20 4b 69 74 73 68 20 6e 6f 74  # Tell Kitsh not
0d10: 20 74 6f 20 74 72 79 20 74 6f 20 6c 69 6e 6b 20   to try to link 
0d20: 61 67 61 69 6e 73 74 20 22 6c 69 62 74 63 63 31  against "libtcc1
0d30: 2e 61 22 0a 09 65 63 68 6f 20 22 2f 6c 69 62 74  .a"..echo "/libt
0d40: 63 63 31 5c 2e 61 22 20 3e 20 22 24 7b 49 4e 53  cc1\.a" > "${INS
0d50: 54 44 49 52 7d 2f 6b 69 74 63 72 65 61 74 6f 72  TDIR}/kitcreator
0d60: 2d 6e 6f 6c 69 62 73 22 0a 0a 09 65 78 69 74 20  -nolibs"...exit 
0d70: 30 0a 29 20 7c 7c 20 65 78 69 74 20 31 0a 0a 65  0.) || exit 1..e
0d80: 78 69 74 20 30 0a                                xit 0.